#  A Data Set for Fall Detection with Smart Floor Sensors

_Authors: Charles Truong, Mounir Atiq, Ludovic Minvielle, Renan Serra, Mathilde Mougeot, Nicolas Vayatis_


You can display individual signals from the data set using the code in `src/main.ipynb`.
Signals are identified by a setting and an id (see associated publication) that you can set in the parameter cell.
For instance, the following code selects the signal `cnf-10`.

```python
# Parameters' cell
setting = "cnf" # or "u" or "c"
code_unconstrained = 100
code_controlled = 15
code_controllednofall = 10
```

Before running the notebook, please install the following librairies (using `pip` or `conda`/`mamba`):
- fastparquet
- kaleido
- pandas
- plotly


The complete data can be downloaded as a zipped archive (FallData.tar.gz, ~330MB):
- [link 1](https://plmbox.math.cnrs.fr/f/a05ad8fbe7674392962b/?dl=1)

Instructions and code to manipulate the signals and metadata can be found [here](https://github.com/deepcharles/fall-data).
